<div class="protein-details-tabs">
  <mat-tab-group [(selectedIndex)]='tabSelectionState'>
      <mat-tab label="Proteins">
        <app-protein-table></app-protein-table>>
      </mat-tab>
      <mat-tab label="Peptides">
        <app-peptide-table [scope]="PeptideScopes.GROUP">
        </app-peptide-table>
      </mat-tab>
      <mat-tab label="PSM">
        <app-psm-table [scope]="PsmScopes.GROUP">
        </app-psm-table>
      </mat-tab>
      <!-- <mat-tab label="Extras"> 🧬 </mat-tab> -->
  </mat-tab-group>

<mat-tab-group>
    <mat-tab *ngIf='tabSelectionState==0' label="Peptides">
      <app-peptide-table [scope]="PeptideScopes.PROTEIN">
      </app-peptide-table>
    </mat-tab>
    <mat-tab *ngIf='tabSelectionState==0' label="PSMs">
      <app-psm-table [scope]="PsmScopes.PROTEIN">
      </app-psm-table>
    </mat-tab>
    <mat-tab *ngIf='tabSelectionState==0' label="Protein Annotations">
      <app-description-details>
      </app-description-details>
    </mat-tab>
    <mat-tab *ngIf='tabSelectionState==0' label="Sequence">
      <app-protein-sequence-viewer>
      </app-protein-sequence-viewer>
    </mat-tab>
    <mat-tab *ngIf='tabSelectionState==1' label="PSMs">
      <app-psm-table [scope]="PsmScopes.PEPTIDE">
      </app-psm-table>
    </mat-tab>
    <mat-tab *ngIf='tabSelectionState==2' label="Spectrum">
      <app-spectrum-viewer>
      </app-spectrum-viewer>
    </mat-tab>
  </mat-tab-group>
</div>
